org.jboss.jca.validator.rules

## Class ConfigPropertiesHelper

- java.lang.Object
- - org.jboss.jca.validator.rules.ConfigPropertiesHelper

-     public class ConfigPropertiesHelper
      extends java.lang.Object

  A ConfigPropertiesHelper.
  Version:
    $Revision: $
  Author:
    Jeff Zhang

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.Set<java.lang.Class>` | `VALID_TYPES` Valid types
    `static java.util.Set<java.lang.Class>` | `WARNING_TYPES` Valid types

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConfigPropertiesHelper()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.util.List<Failure>` | `validateConfigPropertiesType(ValidateClass vo, java.lang.String section, java.lang.String failMsg)` validate ConfigProperties type

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VALID_TYPES

          public static final java.util.Set<java.lang.Class> VALID_TYPES

      Valid types

    - #### WARNING_TYPES

          public static final java.util.Set<java.lang.Class> WARNING_TYPES

      Valid types

  - ### Constructor Detail

    - #### ConfigPropertiesHelper

          public ConfigPropertiesHelper()

  - ### Method Detail

    - #### validateConfigPropertiesType

          public static java.util.List<Failure> validateConfigPropertiesType(ValidateClass vo,
                                                                             java.lang.String section,
                                                                             java.lang.String failMsg)

      validate ConfigProperties type
      Parameters:
        `vo` - ValidateClass
        `section` - section in the spec document
        `failMsg` - fail or warn message
      Returns:
        list of failures

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)